Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.action.internal
Class EntityDeleteAction

    java.lang.Object
      org.hibernate.action.internal.EntityAction
          org.hibernate.action.internal.EntityDeleteAction

All Implemented Interfaces:
  Serializable, Comparable, AfterTransactionCompletionProcess, Executable

    public final class EntityDeleteAction

extends EntityAction

See Also:
  Serialized Form

Constructor Summary
`EntityDeleteAction(Serializable id, Object[] state, Object version, Object instance, EntityPersister persister, boolean isCascadeDeleteEnabled, SessionImplementor session)`

Method Summary
`void` | `doAfterTransactionCompletion(boolean success, SessionImplementor session)` Perform whatever processing is encapsulated here after completion of the transaction.
`void` | `execute()` Execute this action
`protected boolean` | `hasPostCommitEventListeners()`

Methods inherited from class org.hibernate.action.internal.EntityAction
`afterDeserialize, beforeExecutions, compareTo, eventSource, getAfterTransactionCompletionProcess, getBeforeTransactionCompletionProcess, getDelayedId, getEntityName, getId, getInstance, getPersister, getPropertySpaces, getSession, listenerGroup, needsAfterTransactionCompletion, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EntityDeleteAction

    public EntityDeleteAction(Serializable id,
                              Object[] state,
                              Object version,
                              Object instance,
                              EntityPersister persister,
                              boolean isCascadeDeleteEnabled,
                              SessionImplementor session)

Method Detail

### execute

    public void execute()
                 throws HibernateException

  Description copied from interface: `Executable`
  Execute this action

  Throws:
    `HibernateException` - Indicates a problem during execution.

### doAfterTransactionCompletion

    public void doAfterTransactionCompletion(boolean success,
                                             SessionImplementor session)
                                      throws HibernateException

  Description copied from interface: `AfterTransactionCompletionProcess`
  Perform whatever processing is encapsulated here after completion of the transaction.

  Parameters:
    `success` - Did the transaction complete successfully? True means it did.
    `session` - The session on which the transaction is completing.
  Throws:
    `HibernateException`

### hasPostCommitEventListeners

    protected boolean hasPostCommitEventListeners()

  Specified by:
    `hasPostCommitEventListeners` in class `EntityAction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.